PosixSignalDispatcher::CannotAttachHandler(3)

NAME
PosixSignalDispatcher::CannotAttachHandler -

Exception thrown when AttachHandler() fails due to a runtime error.

SYNOPSIS

#include <PosixSignalDispatcher.h>

Inherits runtime_error.

  Public Member Functions

CannotAttachHandler (const std::string &whatArg)

Detailed Description

Exception thrown when AttachHandler() fails due to a runtime error.

Definition at line 47 of file PosixSignalDispatcher.h.

Constructor & Destructor Documentation

  PosixSignalDispatcher::CannotAttachHandler::CannotAttachHandler (const std::string &whatArg) [inline]

Definition at line 50 of file PosixSignalDispatcher.h.

Author

Generated automatically by Doxygen for libserial from the source code.